> For the complete documentation index, see [llms.txt](https://docs.lsports.eu/u/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lsports.eu/u/legacy-products/odds-service/general/api-reference.md).

# API Reference

### GetSports <a href="#getsports" id="getsports"></a>

To receive a list of supported sports

<https://prematch.lsports.eu/OddService/GetSports>

**Parameter breakdown**

| **Action** | **Description**                                                                   | **Optional Field** |
| ---------- | --------------------------------------------------------------------------------- | ------------------ |
| Username   | Username as it apparrs in the package                                             | **X**              |
| Password   | Password as it appears the package                                                | **X**              |
| Guid       | GUID as it appears the package                                                    | **X**              |
| Lang       | <p>Response content language<br><strong>Default value</strong>: English</p>       | **✓**              |
| Indented   | <p>Response content will be indented<br><strong>Default value</strong>: False</p> | **✓**              |

**Response Scheme**

```xml
<xs:element name="Feed">
   <xs:complexType>
     <xs:sequence>
         <xs:element name="MessageHeader">
           <xs:complexType>
               <xs:sequence>
                 <xs:element name="Type" type="xs:int"></xs:element>
                 <xs:element name="ServerTimestamp" type="xs:int"></xs:element>
               </xs:sequence>
           </xs:complexType>
         </xs:element>
         <xs:element name="Body">
           <xs:complexType>
               <xs:sequence>
                 <xs:element name="Sport" maxOccurs="unbounded">
                     <xs:complexType>
                       <xs:attribute name="Id" type="xs:int"></xs:attribute>
                       <xs:attribute name="Name" type="xs:string"></xs:attribute>
                     </xs:complexType>
                 </xs:element>
               </xs:sequence>
           </xs:complexType>
         </xs:element>
    </xs:sequence>
   </xs:complexType>
</xs:element>
```

### GetLocations <a href="#getlocations" id="getlocations"></a>

To receive a list of supported locations

<https://prematch.lsports.eu/OddService/GetLocations>

**Parameter breakdown**

| **Parameter** | **Description**                                                                   | **Optional Field** |
| ------------- | --------------------------------------------------------------------------------- | ------------------ |
| Username      | Username as it apparrs in the package                                             | **X**              |
| Password      | Password as it appears the package                                                | **X**              |
| Guid          | GUID as it appears the package                                                    | **X**              |
| Lang          | <p>Response content language<br><strong>Default value</strong>: English</p>       | **✓**              |
| Indented      | <p>Response content will be indented<br><strong>Default value</strong>: False</p> | **✓**              |

**Response Scheme**

```xml
 <xs:element name="Feed">
  <xs:complexType>
    <xs:sequence>
      <xs:element name="MessageHeader">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Type" type="xs:int"/>
            <xs:element name="ServerTimestamp" type="xs:int"/>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="Body">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Location" maxOccurs="unbounded">
              <xs:complexType>
                <xs:attribute name="Id" type="xs:int"/>
                <xs:attribute name="Name" type="xs:string"/>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
</xs:element>
```

### GetLeagues <a href="#getleagues" id="getleagues"></a>

To receive a list of supported leagues

<https://prematch.lsports.eu/OddService/GetLeagues>

**Parameter breakdown**

| **Parameter** | **Description**                                                                                        | **Optional Field** |
| ------------- | ------------------------------------------------------------------------------------------------------ | ------------------ |
| Username      | Username as it appaers in the package                                                                  | **X**              |
| Password      | Password as it appears the package                                                                     | **X**              |
| Guid          | GUID as it appears the package                                                                         | **X**              |
| Sports        | <p>Comma separated list of sports<br><strong>Default value</strong>: Leagues from all sports</p>       | **✓**              |
| Locations     | <p>Comma separated list of locations<br><strong>Default value</strong>: Leagues from all locations</p> | **✓**              |
| Lang          | <p>Response content language<br><strong>Default value</strong>: English</p>                            | **✓**              |
| Indented      | <p>Response content will be indented<br><strong>Default value</strong>: False</p>                      | **✓**              |

**Response Scheme**

```xml
 <xs:element name="Feed">
  <xs:complexType>
    <xs:sequence>
      <xs:element name="MessageHeader">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Type" type="xs:int"/>
            <xs:element name="ServerTimestamp" type="xs:int"/>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="Body">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="League" maxOccurs="unbounded">
              <xs:complexType>
                <xs:attribute name="Id" type="xs:int"/>
                <xs:attribute name="Name" type="xs:string"/>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
</xs:element>
```

### GetBookmakers <a href="#getbookmakers" id="getbookmakers"></a>

To receive a list of supported bookmakers

<https://prematch.lsports.eu/OddService/GetBookmakers>

**Parameter breakdown**

| **Parameter**                                                                                                           | **Description**                                                                   | **Optional Field** |
| ----------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- | ------------------ |
| Username                                                                                                                | Username as it apparrs in the package                                             | **X**              |
| Password                                                                                                                | Password as it appears the package                                                | **X**              |
| Guid                                                                                                                    | GUID as it appears the package                                                    | **X**              |
| [Lang](https://app.stoplight.io/wk/9H6gSLYuaKRcYRDpP/8BSdjzonD32LCi6gp/B5TEAsYcAKNd485DH/design/text/snS6Hx7fEm2b6bG4C) | <p>Response content language<br><strong>Default value</strong>: English</p>       | **✓**              |
| Indented                                                                                                                | <p>Response content will be indented<br><strong>Default value</strong>: False</p> | **✓**              |

**Response Scheme**

```xml
<xs:element name="Feed">
  <xs:complexType>
    <xs:sequence>
      <xs:element name="MessageHeader">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Type" type="xs:int"/>
            <xs:element name="ServerTimestamp" type="xs:int"/>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="Body">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Bookmaker" maxOccurs="unbounded">
              <xs:complexType>
                <xs:attribute name="Id" type="xs:int"/>
                <xs:attribute name="Name" type="xs:string"/>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
</xs:element>
```

### GetMarkets <a href="#getmarkets" id="getmarkets"></a>

To receive a list of supported markets

<https://prematch.lsports.eu/OddService/GetMarkets>

**Parameter breakdown**

| **Parameter** | **Description**                                                                   | **Optional Field** |
| ------------- | --------------------------------------------------------------------------------- | ------------------ |
| Username      | Username as it apparrs in the package                                             | **X**              |
| Password      | Password as it appears the package                                                | **X**              |
| Guid          | GUID as it appears the package                                                    | **X**              |
| Lang          | <p>Response content language<br><strong>Default value</strong>: English</p>       | **✓**              |
| Indented      | <p>Response content will be indented<br><strong>Default value</strong>: False</p> | **✓**              |

**Response Scheme**

```xml
<xs:element name="Feed">
   <xs:complexType>
     <xs:sequence>
         <xs:element name="MessageHeader">
           <xs:complexType>
               <xs:sequence>
                 <xs:element name="Type" type="xs:int"></xs:element>
                 <xs:element name="ServerTimestamp" type="xs:int"></xs:element>
               </xs:sequence>
           </xs:complexType>
         </xs:element>
         <xs:element name="Body">
           <xs:complexType>
               <xs:sequence>
                 <xs:element name="Market" maxOccurs="unbounded">
                     <xs:complexType>
                       <xs:attribute name="Id" type="xs:int"></xs:attribute>
                       <xs:attribute name="Name" type="xs:string"></xs:attribute>
                     </xs:complexType>
                 </xs:element>
               </xs:sequence>
           </xs:complexType>
         </xs:element>
     </xs:sequence>
   </xs:complexType>
</xs:element>
```

### **API Notes and troubleshooting** <a href="#api-notes-and-troubleshooting" id="api-notes-and-troubleshooting"></a>

Follow the below limitations and restrictions while working with LSports API

Be advised of the following limitations:

* 2500 requests within 5 minutes per IP

We highly recommend using only filtered requests, otherwise, 'full' requests can take longer to retrieve, and in some cases, you won't be able to retrieve requests at all due to the vast amount of data.

Here are examples of "full" and "filtered" requests

**Full** - <http://prematch.lsports.eu/OddService/GetFixtures?username=YourEmail&Password=YourPassword&guid=3faaa32d-662b-4135-b1e2-38454263dcad>

**Filtered** - <http://prematch.lsports.eu/OddService/GetFixtures?username=YourEmail&Password=YourPassword&guid=3fa1a30d-662b-4135-b1e2-38454263dcad&sports=6046&location=242>

#### **API data preservation:**

* How long do we keep data available for Prematch? - 36 Hours as of the event's final status.
* How long do we keep data available for the Inplay snapshot? - 8 Hours as of the event's final status.

#### Handling Special Characters in GET Requests

When making GET requests via the browser, encoding special characters is important. Failure to do so will result in the request failing. Ensure all special characters are properly encoded before sending the request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lsports.eu/u/legacy-products/odds-service/general/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
